PHP 7 sur IBM i: Performance et sécurité supérieure

PHP 7 sur IBM i: Performance et sécurité supérieure

10:19 29 janvier in Blogue, Développement web et mobile, Productivité des développeurs IBM i
0 Comments

Pour beaucoup de gens dans et autour de la communauté PHP, PHP 7 est une vieille nouvelle. Mais pour certaines entreprises IBM i très occupées par de nouvelles exigences et des activités quotidiennes, les nouvelles de PHP 7 auraient peut-être échappé à la vue générale.

Alors, laissez-moi prendre une minute pour parler de certaines choses en PHP 7, puis aborder le sujet du changement.

Premièrement, PHP 7 est considéré par plusieurs clients et sites comme étant plus rapide. Des ordres de grandeur plus rapides. L’une de mes études de cas préférées parle de la façon dont une entreprise a pu économiser 1 million de dollars en mettant à niveau sa version vers PHP 7. Je doute que de nombreux utilisateurs IBM i bénéficient de telles économies, mais le but est clair.

En outre, chaque sous-version de PHP telle que PHP 7.1 et 7.2 est encore plus rapide que PHP 7. Ce n’est peut-être pas la raison principale pour opter pour la nouvelle version, mais cela devrait être pris en compte lors de l’exécution d’applications PHP car cela pourrait réduire les performances encombrement nécessaire pour exécuter une charge de travail intégrée sur IBM i. PHP avec une rapidité augmentée peut être synonyme de temps de réponse plus rapide sur le Web et de plus de ressources disponibles dans le pool de processeurs pour d’autres tâches telles que Db2 et le travail par lots.

Deuxièmement, la sécurité. C’est quelque chose qui devient très important avec le temps, car PHP est souvent une technologie « publique ». Cela signifie que certaines personnes utilisent PHP comme site Web principal d’applications avec des partenaires commerciaux sous IBM i ou même comme solution intranet. Et, c’est une bonne chose, car beaucoup considèrent IBM i comme la plate-forme la plus sécurisable qui soit. Mais cette sécurité ne se produit pas par accident et ce n’est PAS quelque chose que vous venez de définir et d’oublier. J’espère que vous appliquez des PTF de manière régulière. C’est ainsi que les mises à jour de sécurité d’IBM i sont intégrées au système. IBM rend cela assez facile et sans douleur. PHP obtient également des mises à jour de sécurité qui sont fournies dans les sous-versions les plus récentes.

La dernière version de PHP pour IBM i est la version 7.2.10. Elle contient une MULTITUDE de mises à jour de sécurité qui s’ajoutent aux fonctionnalités ajoutées. De plus, la dernière version de PHP 5, PHP 5.6, est sur le point d’être finalisée par la communauté. Cela signifie que la communauté n’écrira plus de correctifs de sécurité pour cette version. La meilleure chose à faire est donc d’être au courant et de le rester.

Les professionnels de nos services de dotation possèdent l’expertise nécessaire pour travailler avec PHP afin d’aider les entreprises à passer à la dernière version de PHP tout en gardant la lumière allumée. Bien que le processus de mise à niveau soit assez simple, il existe encore des problèmes que nous avons vus dans de nombreuses installations. Des fonctions obsolètes aux changements de configuration, même l’application PHP la plus simple peut rencontrer des difficultés. De nombreux magasins IBM i prévoient de le faire eux-mêmes et c’est génial. Mais pour ceux qui pourraient utiliser les cycles supplémentaires, nous sommes ici pour offrir un coup de main. Contactez votre responsable de compte ou écrivez-moi directement pour toute question que vous pourriez avoir sur le processus et sur ce que nous pouvons faire pour vous aider à ajouter davantage de bande passante à votre charge de travail déjà accablante.

Si vous êtes incertains de la version de PHP dont vous faites présentement usage, vous pouvez vérifier de la manière suivante:

1. Connectez-vous à une session 5250 et exécutez la commande GO LICPGM.

2. Défilez vers le bas et recherchez 2ZSVRPI ou 6ZSVRPI ou 7PHPZND

3. Trouvez la version PHP version entre parenthèses. Quelques exemples:

2ZSVRPI      *INSTALLED   Zend Server for IBM i 5.6.0 ( PHP 5.3 )

7PHPZND    *INSTALLED   Zend Server for IBM i 9.1.1 ( PHP 7.1 )

De plus, le nouveau processus de distribution open source est disponible sur le forum IBM Community.

Je suis disponible pour discuter plus en détail des services de mise à niveau PHP. N’hésitez pas à me contacter pour mettre en place une consultation.

Vous pouvez également suivre mon activité en tant que fier membre de la communauté IBM i sur Twitter: @MikeyPEI.

À propos de Mike Pavlak

Mike has worked with IBM midrange solutions since 1992 and IBM Mainframes before that. After years of developing applications using RPG, CL and PHP, he managed IT development and IT for power protection manufacturer Tripp Lite. Most recently, Mike was at Zend Technologies, working as a solutions consultant with their IBM i sales team. We’re now happy to have his expertise at Fresche, where he is quickly building a name for himself as one of our open source experts.

No Comments

Post a Comment